
%define name    pysolfc
%define oname   PySolFC
%define version 2.0
%define release %mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	PySolFC - PySol Fan Club edition
URL:		http://pysolfc.sourceforge.net/
Group:		Games/Cards
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:	        %{oname}-%{version}.tar.xz
BuildRequires:	python-devel
BuildRequires:	tkinter
BuildRequires:	desktop-file-utils
Requires:	python >= 2.7
Requires:	python-imaging
Requires:	python-pygame
Requires:	tkinter
Conflicts:	pysol

%description
PySolFC is a collection of more than 1000 solitaire card games.
It is a fork of PySol Solitaire.

There are games that use the 52 card International Pattern deck,
games for the 78 card Tarock deck, eight and ten suit Ganjifa
games, Hanafuda games, Matrix games, Mahjongg games, and games
for an original hexadecimal-based deck.

Its features include modern look and feel (uses Tile widget set),
multiple cardsets and tableau backgrounds, sound, unlimited undo,
player statistics, a hint system, demo games, a solitaire wizard,
support for user written plug-ins, an integrated HTML help browser,
and lots of documentation.


%prep

%setup -q -n %{oname}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--prefix=/usr \
	--root=$RPM_BUILD_ROOT

# icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
convert data/pysol.xpm -resize 48x48 %{oname}.png
install -m 644 %{oname}.png %{buildroot}%{_datadir}/pixmaps


# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=PySolFC
Type=Application
Comment=Solitaire card game collection
Exec=pysol.py
Icon=%{oname}.png
Categories=X-MandrivaLinux-MoreApplications-Games-Cards;Game;CardGame;
EOF

%find_lang pysol

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_desktop_database}
%{update_menus}

%postun
%{clean_desktop_database}
%{clean_menus}


%files -f pysol.lang
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/pysol.py
%{py_sitedir}/pysollib/*
%{py_sitedir}/PySolFC-*.egg-info
%{_datadir}/%{oname}/
%{_datadir}/pixmaps/*
%exclude %{_datadir}/applications/pysol.desktop
%{_datadir}/icons/pysol01.png
%{_datadir}/icons/pysol02.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed Aug 14 2013 billybot <billyboy> 2.0-3pclos2013
- update

* Fri Sep 03 2010 Texstar <texstar at gmail.com> 2.0-2pclos2010
- rebuild for python 2.6.6

* Fri Jan 01 2009 Texstar <texstar at gmail.com> 2.0-1pclos2010
- 2.0


